
%define name	voikko-fi
%define tarname	suomi-malaga
%define version	0.7.6
%define rel	1

Summary:	Description of Finnish morphology written in Malaga (Voikko edition)
Name:		%name
Version:	%version
Release:	%mkrel %rel
License:	GPL
Group:		Text tools
URL:            http://voikko.sourceforge.net/
Source:         http://downloads.sourceforge.net/voikko/%tarname-%version.tar.gz
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	malaga
BuildRequires:	python
Requires:	locales-fi
Provides:	voikko-dictionary
Provides:	voikko-fi_FI
Provides:	spell-fi
Obsoletes:	suomi-malaga-voikko

%description
Description of Finnish morphology written in Malaga. This version is modified
to support the Voikko spellchecker/hyphenator and is not compatible with the
Sukija text indexer.

%prep
%setup -q -n %tarname-%version

%build
%make voikko

%install
rm -rf %{buildroot}

# Files differ on big-endian and small-endian archs, and they have different
# names (*_l vs *_b). This is the reason we use %{_prefix}/lib instead of
# %{_datadir} and won't noarch the package. Note that we use %{_prefix}/lib
# instead of %{_libdir} to achieve biarch compatibility. That is, if the user
# has both libvoikkoX and lib64voikkoX installed, both of them work with the
# same voikko-fi package.
make voikko-install DESTDIR=%{buildroot}%{_prefix}/lib/voikko

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README README.fi ChangeLog CONTRIBUTORS
%{_prefix}/lib/voikko



%changelog
* Mon Sep 03 2007 Anssi Hannula <anssi@mandriva.org> 0.7.6-1mdv2008.0
+ Revision: 78612
- 0.7.6
- remove upstream patch0
- re-enable parallel make

* Wed May 16 2007 Anssi Hannula <anssi@mandriva.org> 0.7.5-2mdv2008.0
+ Revision: 27290
- P0 from SVN: fix a regression

* Tue May 15 2007 Anssi Hannula <anssi@mandriva.org> 0.7.5-1mdv2008.0
+ Revision: 27048
- 0.7.5


* Mon Feb 19 2007 Anssi Hannula <anssi@mandriva.org> 0.7.4-1mdv2007.0
+ Revision: 122804
- 0.7.4
- enable the special IT dictionary
- update URL

* Sat Nov 11 2006 Anssi Hannula <anssi@mandriva.org> 0.7.3-1mdv2007.1
+ Revision: 83032
- 0.7.3

* Sun Oct 29 2006 Anssi Hannula <anssi@mandriva.org> 0.7.2-1mdv2007.1
+ Revision: 73614
- update tarball
- 0.7.2
- Import voikko-fi

* Tue Aug 22 2006 Anssi Hannula <anssi@mandriva.org> 0.7.1-3mdv2007.0
- rename to voikko-fi
- add some provides
- use voikko upstream dictionary path

* Wed Aug 16 2006 Anssi Hannula <anssi@mandriva.org> 0.7.1-2mdv2007.0
- put files in %%{prefix}/lib to achieve biarch compatibility

* Mon Aug 14 2006 Anssi Hannula <anssi@mandriva.org> 0.7.1-1mdv2007.0
- initial Mandriva release

